Studica - The Education Source for Academic Student Software & Technology Products
The New 3D Printer You Can Afford – da Vinci 1.0 – Pre-Order Now
Change Store: USA English
We accept all major credit cards

PayPal Secure Payments

ActiveState > ActiveState Perl Dev Kit 9

ActiveState Perl Dev Kit 9

Perl Dev Kit (PDK) provides essential tools for building and deploying Perl applications.

PDK features cross-platform wrapping and application builders for Windows, Mac OS X, Linux, HP-UX*, Solaris*, and AIX*, plus a suite of tools to speed development and improve code quality across teams. The comprehensive feature set includes PerlApp, PerlCtrl, PerlMSI, PerlNET, PerlSvc, PerlTray, Coverage Analyzer, Filter Builder, Graphical Debugger, PerlCritic and VBScript Converter.

PDK 9 supports Perl and ActivePerl 5.8, 5.10 and 5.12.

Available for

Windows

Macintosh

Linux

Product Options

Deploy

Develop and deploy your Perl programs to anyone on any platform with PerlApp's new cross-platform wrapping.
Deliver code as executables or as Windows Services, ActiveX components, .NET assemblies or in the System Tray.
Easily create MSI files using Perl code.

Code

Be your own best critic: Enforce best-practices or personalized coding policies against your source code. Great for teams!
Filter text interactively, with on-the-fly results.
Jumpstart your transition from VBScript to Perl.

Fix

Improve code performance and reliability through coverage experiments, hotspot analysis and data set comparisons.
Find problems fast with the nimble Windows debugger.
*PerlApp cross-platform wrapping targeting Solaris, AIX or HP-UX requires a Business Edition, Enterprise Edition or OEM License. Compare Editions.

Perl Dev Kit (PDK) System Requirements

General

Recommended 35MB hard disk space for typical install
ActivePerl 5.8.8.822 or later for Perl 5.8 support
ActivePerl 5.10.0.1002 or later for Perl 5.10 support
ActivePerl 5.12.1 or later for Perl 5.12 support

Windows

PerlNET requires .NET 2.0.
x86/x64 architectures only
Windows XP or later

Mac

OS X 10.4+ (PowerPC)
OS X 10.4+ (Intel)

Linux

glibc-2.3 or later (e.g. Red Hat 9+, Oracle Enterprise Linux 4+)

Solaris*

Solaris 8 or later (Sparc)
Solaris 10 (x86)

AIX*

AIX 5.1 or later (PowerPC)

HP-UX*

HP-UX 11.22 PA-RISC
* Cross-wrapping to HP-UX, Solaris and AIX requires a Business Edition, Enterprise Edition or OEM License. Compare Editions.

Customer Reviews and Ratings
Product Tags
0
McAfee SECURE sites help keep you safe from identity theft, credit card fraud, spyware, spam, viruses and online scams
0 Item(s)
Need Help? Email us